Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Juanma Barranquero <[email-masked]>
Date: Fri, 21 Sep 2012 10:36:54 +0200

On Fri, Sep 21, 2012 at 5:52 AM, Chong Yidong <[email-masked]> wrote:

> No, the duplicates were for other image types other than pbm/xbm (in
> this case svg).

Aha.

> The trouble, as Jörg pointed out, is that
> define_image_types did not check for the prior existence of an image
> type before registering it again.

Yes, that part I get. Eli and I were trying to understand why the bug
was triggered by displaying a pbm image, then.

> An unfortunate oversight; I've
> committed a fix to the trunk.

I had a patch ready...

    Juanma